<?php
/*
** body_default.php
** Diese Datei ist Bestandteil des Tagesschau-Archivs
** $Id: body_default.php,v 1.1 2010/08/12 03:53:02 elias Exp $
**
** Veröffentlicht unter Piratenlizenz, Share and Enjoy, but don't sue me!
** http://wwwut.wordpress.com/lizenz/
*/

// Anzahl Meldungen ermitteln
$re = mysql_query ("	select 	count(*) 
			from 	meldung");
$row = mysql_fetch_row ($re);
$number = $row[0];
mysql_free_result ($re);

// Zeitraum der Meldungen ermitteln
$re = mysql_query ("	select	date(min(meld_pubdatum)),
				date(max(meld_pubdatum))
			from 	meldung");
$row = mysql_fetch_row ($re);
$from_date = $row[0];
$to_date = $row[1];
mysql_free_result ($re);

// Anzahl der Kategorien ermitteln
$re = mysql_query ("	select	count(*)
			from	kategorie");
$row = mysql_fetch_row ($re);
$nkats = $row[0];
mysql_free_result ($re);

?>
<h2 class="meldtitel"><span class="short">Kurzinfo</span> Über dieses Archiv</h2>
<div class="meldteaser">
<p>Dies ist ein Archiv der Meldungen aus der Tagesschau-Website für den Zeitraum von <?php echo $from_date; ?> bis <?php echo $to_date; ?>. Es enthält <?php echo $number; ?> Meldungen aus diesem Zeitraum, die in insgesamt <?php echo $nkats; ?> Kategorien verschlagwortet wurden.</p>
</div>
<div class="meldtext">
<p>Es handelt sich um eine praktische Aufbereitung von Daten, die <a href="http://www.netzpolitik.org/2010/archiv-von-tagesschau-de-zwischen-1999-2010/" title="Der Hinweis auf diesen Torrent auf netzpolitik.org">aus einem Torrent</a> extrahiert wurden, der im Zusammenhang mit der Löschung dieser Inhalte aus dem Internet auftauchte. Dieser Torrent enthält die Meldungen in einem schwer verarbeitbaren XML-Format. Dies motivierte <a href="http://www.tamagothi.de/" title="Meine Homepage">mich</a> dazu, ein kleines <a href="http://www.tamagothi.de/2010/08/11/die-tagesschau-in-der-datenbank/" title="Dieses Skript kann hier heruntergeladen werden">Skript</a> zu programmieren, um den Textkörper dieser Meldungen in eine flexibler zu verwendende MySQL-Datenbank zu importieren. Die hier vorliegende, kleine, in PHP geschriebene Anwendung ist eine bequeme Zugriffsmöglichkeit auf diese Datenbank, um das Lesen und die Recherchen in diesem Textkörper zu vereinfachen.</p>
<p>Das Urheberrecht an den Meldungen liegt bei der Tagesschau-Redaktion der ARD. Diese Anwendung ist nicht dazu gedacht, über das öffentliche Internet zugänglich gemacht zu werden, obwohl dies <em>sehr</em> bequem möglich wäre. Sie soll einzig persönlichen Zwecken dienen und auf exquisit lokal verwendeten Webservern eingesetzt werden, wo immer ein Zugriff auf die archivierten Meldungen der Tagesschau aus persönlichem Interesse oder aus dem Wunsch nach politisch-analytischer Arbeit als nützlich erachtet wird. Jede andere Verwendung wäre auch ein Verstoß gegen das Urheberrecht und gegen geltende Gesetze.</p>
<p>Der Quelltext dieser Anwendung ist unter den Bedingungen der <a href="http://wwwut.wordpress.com/lizenz/" title="Share and Enjoy, but don't sue me">Piratenlizenz</a> veröffentlicht worden, die Verbreitung und Anpassung an individuelle Wünsche liegt damit völlig außerhalb meiner Hand. Ich bitte allerdings darum, dass diese Anwendung nicht zusammen mit einer Datenbank verbreitet wird, die urheberrechtlich geschützte Inhalte enthält und damit nicht legal verbreitet werden kann. Diese Anwendung stellt aber meiner Meinung nach kein Problem dar und darf für sich allein beliebig angepasst, genutzt und verbreitet werden, so lange ich dafür nicht verklagt werde.</p>
<p>Ich empfinde es abschließend als reichlich <em>empörend</em>, dass die Verleger- und Presse-Lobby es schafft, ihre Wünsche nach gewissen Alleinstellungsmerkmalen im Internet <a href="http://wwwut.wordpress.com/plitik" title="Zur Bedeutung dieser Schreibweise">p'litisch</a> durchzusetzen und in ein Gesetz verwandeln zu lassen, das es erzwingt, dass von der Allgemeinheit mit den &mdash; in jüngerer Zeit auch von reinen Internet-Nutzern eingezogenen &mdash; Rundfunkgebühren bezahlte und aufwändig erstellte Dokumente zur jüngeren Zeitgeschichte aus dem Internet <em>gelöscht</em> werden und damit den Menschen nicht mehr zur Verfügung stehen. Wenn sie einen Eindruck davon erhalten möchten, was hier zerstört werden sollte, lassen sie sich einfach einige <?php echo get_htmllink ($_SERVER['PHP_SELF'] . '?mod=random', 'zufällige Meldungen', 'Das können sie mit einem Klick auf diesen Link tun, sie können aber auch den Menüpunkt oben verwenden'); ?> anzeigen oder verfolgen sie einmal die Meldungslage am <?php echo get_htmllink ($_SERVER['PHP_SELF'] . '?mod=datum&for=2001-09-11', '11. September 2001', 'Das können sie auch über den Menüpunkt Datum erreichen'); ?> und den folgenden Tagen. Eine <em>classe politique</em>, die solche Wünsche nach <em>virtueller Bücherverbrennung</em> aktiv mitträgt, handelt meines Erachtens offen gegen wichtige Interessen derjenigen Menschen, die sie in ihre Ämter gewählt haben. Die Veröffentlichung dieser kleinen Anwendung unter Piratenlizenz erachte ich als einen not-wendigen Akt des zivilen Widerstandes.</p>
<p>12. August 2010, Elias Schwerdtfeger</p>
</div>
