<?php
/*
** index.php
** Diese Datei ist Bestandteil des Tagesschau-Archivs
** $Id: index.php,v 1.2 2010/08/12 03:52:28 elias Exp $
**
** Veröffentlicht unter Piratenlizenz, Share and Enjoy, but don't sue me!
** http://wwwut.wordpress.com/lizenz/
*/
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Frameset//EN" "http://www.w3.org/TR/html4/frameset.dtd">
<html>
<?php
include('inc/process.php');
?>
<head>
<?php if ($headinc) { include ('inc/' . $headinc); } ?>
<meta http-equiv="content-type" content="text/html; charset=utf-8" />
<meta name="generator" content="vim" />
<meta name="description" content="Ein durchsuchbares Archiv der Tagesschau" />
<meta name="author" content="Elias Schwerdtfeger" />
<meta name="keywords" content="Tagesschau, ARD, Archiv" />
<meta name="robots" content="noindex" />
<link rel="stylesheet" type="text/css" href="<?php echo 'css/' . CSSSTYLE; ?>" />
<title><?php echo $title; ?></title>
</head>
<body>
<div id='wrapper'>
<div id='header'>
<h1 id='title'>Tagesschau-Archiv<?php if ($titleadd) { ?> <span id='titleadd'><?php echo get_htmlstr ($titleadd); ?></span><?php } ?></h1>
<div class="clear"></div>
</div>
<div id='menu'>
<?php include('inc/menu.php'); ?>
<div class="clear"></div>
</div>
<div id='content'>
<?php if ($bodyinc) { include ('inc/' . $bodyinc); } ?>
<div class="clear"></div>
</div>
<div id='footer'>
<strong>Tagesschau-Archiv</strong> &mdash;
Programmiert von <a href="http://www.tamagothi.de/" title="Homepage des Autors mit vielen Downloads und Spendenmöglichkeit">Elias Schwerdtfeger</a><br />
Diese Anwendung ist lizenziert unter den Bedingungen der <a href="http://wwwut.wordpress.com/lizenz/" title="Lizenztext dieser Anwendung">Piratenlizenz</a><br />
Alle dargestellten Meldungen unterliegen dem Urheberrecht der <a href="http://www.ard.de/" title="Homepage der ARD">ARD</a>
<div class="clear"></div>
</div> <!-- footer -->
</div> <!-- wrapper -->
</body>
<!--	I keep my head above the surface
	Trying to breathe, looking for land
	I keep an eye at the distant horizon
	Looking for land, clutching the sky

	Covenant: Phoen IX (@album Sequencer)	-->
</html>
